use yew::prelude::*;
use yew::{function_component, Properties};

#[derive(Properties, PartialEq)]
pub struct HtmlViewProps {
    pub inner: String,
}

#[function_component(HtmlView)]
pub fn html_view(props: &HtmlViewProps) -> Html {
    html! { <iframe class="htmlview" srcdoc={props.inner.clone()} sandbox=""/> }
}
